const QUIZZ = [
  "a rock",
  "a rock",
  "the rock",
  "the rock",
  "the rock",
  "a rock",
  "the rock",
  "the rock",
  "a rock",
  "a rock",
  "a rock",
  "a rock",
  "the rock",
  "the rock",
  "a the rock rock",
];
const QUIZZ_MAX = QUIZZ.length;

QUIZZ[1337] = process.env.FLAG || "FCSC{flag}";

function isValidQuestion(question: number): question is number {
  const id = Number(question);
  if (Number.isNaN(id)) {
    return false;
  }
  if (Math.floor(id) !== id) {
    return false;
  }
  return id > -1 && id < QUIZZ_MAX;
}

export default {
  checkAnswer(question: number, answer: string) {
    if (!isValidQuestion(question)) {
      return false;
    }
    const correctAnswer = QUIZZ[question];
    const guess = answer.toString().toLowerCase();

    return guess.includes(correctAnswer);
  },
};
